---
system_administrators:
  - name: daniel
    ssh_key: "{{ inventory_dir }}/../pub_keys/daniel.pub"
    state: present
  - name: enrico
    ssh_key: "{{ inventory_dir }}/../pub_keys/enrico.pub"
    state: present
  - name: sergi
    ssh_key: "{{ inventory_dir }}/../pub_keys/sergi.pub"
    state: present
  - name: cesar
    ssh_key: "{{ inventory_dir }}/../pub_keys/cesar.pub"
    state: present
  - name: daniquilez
    ssh_key: "{{ inventory_dir }}/../pub_keys/daniquilez.pub"
    state: present
  - name: jordi
    ssh_key: "{{ inventory_dir }}/../pub_keys/jordi.pub"
    state: present
  - name: kon
    ssh_key: "{{ inventory_dir }}/../pub_keys/kon.pub"
    state: present

developers: []

# Let's Encrypt conf
certificate_authority_email: "info@coopdevs.org"
certbot_force_update: false

# Enable backups
backups_role_enabled: true

# Disable monitoring
monitoring_enabled: true
monitoring_nexporter_enabled: true
monitoring_promtail_enabled: false
monitoring_postgres_exporter_enabled: true
monitoring_postgres_exporter_pg_user: monitor
monitoring_postgres_exporter_pg_port: 5432



# Set 'development_environment' to "true" to skip SSL and nginx tasks
development_environment: false

odoo_role_odoo_dbs:
  - odoo-laborda
  - odoo-staging-laborda
  - node

domains:
  - odoo-laborda.ladinamofundacio.org
  - odoo-staging-laborda.ladinamofundacio.org
  - node.ladinamofundacio.org

# Firewall basic configuration
firewall_enabled: True
firewall_allowed_tcp_ports:
  - "22"  # for SSH
  - "80"  # for HTTP. Nginx redirects it to 443
  - "443" # for HTTPS.


basic_auth_users:
  - { 'path': '/etc/odoo/.htpasswd', 'name': odoo, 'password': '{{ basic_auth_api_password }}' }
  - { 'path': '/etc/nginx/.pexporter.htpasswd', 'name': 'pexporter', 'password': '{{ basic_auth_user_pexporter_password }}' }
